> For the complete documentation index, see [llms.txt](https://docs.payscore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payscore.com/payscore-v1-deprecated/sending-income-verification-requests/get-all-screening-groups.md).

# Get All Screening Groups

You can get all screening groups paginated with the following route:

## Get Screening Groups

<mark style="color:blue;">`GET`</mark> `https://api.payscore.com/api/v1/screening_groups`

Get all screening groups paginated

#### Query Parameters

| Name | Type   | Description                                                                                  |
| ---- | ------ | -------------------------------------------------------------------------------------------- |
| page | String | The page of all entities you want to pul. The number of records returned in each page is 25. |

{% tabs %}
{% tab title="200 " %}

```typescript
{
    "screening_groups": [{
        "id": "905963d4-0649-4046-8f39-7997a9e45ed4",
        "screenings": [{
            "id": "4516efb4-82ed-43cd-a55a-ba93d4914562",
            "applicant_first_name": "John",
            "applicant_last_name": "Smith",
            "applicant_email": "johnsmith@gmail.com",
            "reason_completed": "not_completed",
            "screening_status": "not_started"
        }, {
            "id": "13cc2254-152e-4e78-937c-66b7d89c65a2",
            "applicant_first_name": "Bob",
            "applicant_last_name": "Thomas",
            "applicant_email": "bobthomas@gmail.com",
            "reason_completed": "finished",
            "screening_status": "completed"
        }],
        "status": "in_progress",
        "approval_recommendation": "unavailable",
        "property_name": "Test Property",
        "property_street_address": "1234 Pike St.",
        "unit_number": "#101",
        "monthly_rent_cents": 200000,
        "is_decision_maker_paying": true,
        "is_report_expired": false,
        "is_report_expired": null,
        "created_at_timestamp": 1574244834717.303
    },
    "total_count": 1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payscore.com/payscore-v1-deprecated/sending-income-verification-requests/get-all-screening-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
